Bug 1364317 - Could not access dc by clicking link to dc on overview page when service is exposed from rc.
Summary: Could not access dc by clicking link to dc on overview page when service is e...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Jessica Forrester
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-05 04:17 UTC by Yanping Zhang
Modified: 2016-09-19 12:54 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-19 12:54:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1933 normal SHIPPED_LIVE Red Hat OpenShift Container Platform 3.3 Release Advisory 2016-09-27 13:24:36 UTC

Description Yanping Zhang 2016-08-05 04:17:30 UTC
Description of problem:
Create pod from dc, then expose a service from rc, try to click the link to dc on overview page, it gives no response.

Version-Release number of selected component (if applicable):
OpenShift v3.3.0.14
Kubernetes v1.3.0+57fb9ac

How reproducible:
Always

Steps to Reproduce:
1.Create pod from dc.
# oc run testdc --image=aosqe/hello-openshift -n prozyp
deploymentconfig "testdc" created
# oc get rc -n prozyp
NAME       DESIRED   CURRENT   AGE
testdc-1   1         1         8m

2.Expose a service from rc.
# oc expose rc/testdc-1 --port=8080 -n prozyp
service "testdc-1" exposed

3.Try to access dc by clicking the link to dc on overview page.

Actual results:
2.Service is created successfully.
3.It gives no response.

Expected results:
3.Should jump to dc page when click the link to dc on overview page.

Additional info:

Comment 1 Jessica Forrester 2016-08-05 20:39:39 UTC
merging to origin in https://github.com/openshift/origin/pull/10253

Comment 2 Jessica Forrester 2016-08-05 20:41:03 UTC
sorry forgot this was an OCP bug, leaving as assigned to origin PR merges

Comment 3 Yanping Zhang 2016-08-12 03:07:04 UTC
Tested on openshift v3.3.0.18, when create a dc, then expose a service from rc, click link to dc on overview page, it can jump to dc page now.
The bug has been fixed, so move it to Verified.


Note You need to log in before you can comment on or make changes to this bug.